From 4b0b01c8c52229b09b065d47de005304917d7f44 Mon Sep 17 00:00:00 2001
From: Ajay Kumar <ajaykumar.rs@samsung.com>
Date: Thu, 3 Jul 2014 20:15:59 +0530
Subject: [PATCH] ARM: dts: Add ps8622 and panel node for spring

Signed-off-by: Ajay Kumar <ajaykumar.rs@samsung.com>
---
 arch/arm/boot/dts/exynos5250-spring.dts | 57 ++++++++++++++++++++++++---------
 1 file changed, 42 insertions(+), 15 deletions(-)

diff --git a/arch/arm/boot/dts/exynos5250-spring.dts b/arch/arm/boot/dts/exynos5250-spring.dts
index 92efe36..e07fbaa 100644
--- a/arch/arm/boot/dts/exynos5250-spring.dts
+++ b/arch/arm/boot/dts/exynos5250-spring.dts
@@ -64,23 +64,13 @@
 		vdd_pll-supply = <&s5m_ldo8_reg>;
 	};
 
-/*
-	dp-controller@145B0000 {
-		status = "okay";
-		pinctrl-names = "default";
-		pinctrl-0 = <&dp_hpd>;
-		samsung,color-space = <0>;
-		samsung,dynamic-range = <0>;
-		samsung,ycbcr-coeff = <0>;
-		samsung,color-depth = <1>;
-		samsung,link-rate = <0x0a>;
-		samsung,lane-count = <1>;
-		samsung,hpd-gpio = <&gpc3 0 0>;
+	panel_lvds: panel-lvds {
+		compatible = "panel-lvds";
 
 		display-timings {
-			native-mode = <&timing1>;
+			native-mode = <&timing0>;
 
-			timing1: timing@1 {
+			timing0: timing@0 {
 				clock-frequency = <70589280>;
 				hactive = <1366>;
 				vactive = <768>;
@@ -93,7 +83,20 @@
 			};
 		};
 	};
-*/
+
+	dp-controller@145B0000 {
+		status = "okay";
+		pinctrl-names = "default";
+		pinctrl-0 = <&dp_hpd_gpio>;
+		samsung,color-space = <0>;
+		samsung,dynamic-range = <0>;
+		samsung,ycbcr-coeff = <0>;
+		samsung,color-depth = <1>;
+		samsung,link-rate = <0x0a>;
+		samsung,lane-count = <1>;
+		samsung,hpd-gpio = <&gpc3 0 0>;
+		edp-panel = <&panel_lvds>;
+	};
 
 	fixed-rate-clocks {
 		xxti {
@@ -405,6 +408,16 @@
 	status = "okay";
 	samsung,i2c-sda-delay = <100>;
 	samsung,i2c-max-bus-freq = <66000>;
+
+	ps8622-bridge@20 {
+		compatible = "parade,ps8622";
+		reg = <0x08>;
+		sleep-gpio = <&gpc3 6 0>;
+		reset-gpio = <&gpc3 1 0>;
+		lane-count = <1>;
+		pinctrl-names = "default";
+		pinctrl-0 = <&ps8622_gpios>;
+	};
 };
 
 &i2c_8 {
@@ -468,6 +481,20 @@
 		samsung,pin-pud = <0>;
 	};
 
+	dp_hpd_gpio: dp-hpd {
+		samsung,pins = "gpc3-0";
+		samsung,pin-function = <0>;
+		samsung,pin-pud = <3>;
+		samsung,pin-drv = <0>;
+	};
+
+	ps8622_gpios: ps8622-gpios {
+		samsung,pins = "gpc3-1", "gpc3-6";
+		samsung,pin-function = <1>;
+		samsung,pin-pud = <0>;
+		samsung,pin-drv = <0>;
+	};
+
 	s5m8767_dvs: s5m8767-dvs {
 		samsung,pins = "gpd1-0", "gpd1-1", "gpd1-2";
 		samsung,pin-function = <0>;
-- 
1.8.3.2

